org.apache.cassandra.cql3.statements

## Class SelectStatement.Parameters

- java.lang.Object
- - org.apache.cassandra.cql3.statements.SelectStatement.Parameters

- Enclosing class:
    SelectStatement

      public static class SelectStatement.Parameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `allowFiltering`
    `boolean` | `isDistinct`
    `boolean` | `isJson`
    `java.util.Map<ColumnIdentifier.Raw,java.lang.Boolean>` | `orderings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameters(java.util.Map<ColumnIdentifier.Raw,java.lang.Boolean> orderings, boolean isDistinct, boolean allowFiltering, boolean isJson)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### orderings

          public final java.util.Map<ColumnIdentifier.Raw,java.lang.Boolean> orderings

    - #### isDistinct

          public final boolean isDistinct

    - #### allowFiltering

          public final boolean allowFiltering

    - #### isJson

          public final boolean isJson

  - ### Constructor Detail

    - #### Parameters

          public Parameters(java.util.Map<ColumnIdentifier.Raw,java.lang.Boolean> orderings,
                            boolean isDistinct,
                            boolean allowFiltering,
                            boolean isJson)

Copyright © 2018 The Apache Software Foundation